summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/check-wrapper-consistency
diff options
context:
space:
mode:
authorPiotr Strzelczyk <piotr@eps.gda.pl>2009-08-14 08:03:03 +0000
committerPiotr Strzelczyk <piotr@eps.gda.pl>2009-08-14 08:03:03 +0000
commita117dd391ce40a6f9bce4e14ea97b79bb7ed6d37 (patch)
tree52ec211b3fca8169ab80495f4c8b940f7fbd1833 /Master/tlpkg/bin/check-wrapper-consistency
parent608d80efb6ecb33200f881b804aa19a144da0f14 (diff)
exe stubs consistency check, redundant copies of universal wrapper removed
git-svn-id: svn://tug.org/texlive/trunk@14660 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/check-wrapper-consistency')
-rwxr-xr-xMaster/tlpkg/bin/check-wrapper-consistency13
1 files changed, 11 insertions, 2 deletions
diff --git a/Master/tlpkg/bin/check-wrapper-consistency b/Master/tlpkg/bin/check-wrapper-consistency
index 79b04a3c605..1bf3f0beee1 100755
--- a/Master/tlpkg/bin/check-wrapper-consistency
+++ b/Master/tlpkg/bin/check-wrapper-consistency
@@ -43,7 +43,7 @@ sub main
$w{'updmap-sys'} = 1;
chomp (my $srcdir = `cd $Master/../Build/source/texk/texlive && pwd`);
- $cww = "$srcdir/tl-w32-starter.bat";
+ $cww = "$srcdir/runscript.exe";
$err += &check_w32 ("win32", $cww, %w);
return $err;
@@ -85,7 +85,7 @@ sub unx_wrapper_entries
# windows is special, as usual. given the list of wrappers in UW, check
-# that each of those entries exists in W32DIR as a .bat, and is a copy
+# that each of those entries exists in W32DIR as a .exe, and is a copy
# of the canonical w32 wrapper specified in W32CANONICAL.
#
sub check_w32
@@ -106,5 +106,14 @@ sub check_w32
$diff += system ("cmp $w32dir/$k.bat $w32canonical");
}
+ opendir (DIR, $w32dir) || die "opendir($DIR) failed: $!";
+ my @binfiles = readdir (DIR);
+ closedir (DIR) || warn "closedir($DIR) failed: $!";
+
+ foreach my $f (@binfiles) {
+ next unless ($f =~ s/\.(bat|cmd)$/\.exe/); # only if batch file
+ $diff += system ("cmp $w32dir/$f $w32canonical");
+ }
+
return $diff;
}